classification
Title: Unknown distribution option: 'license_files'
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.9
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Marco Sulla, dstufft, eric.araujo, steve.dower
Priority: normal Keywords:

Created on 2019-10-23 19:57 by Marco Sulla, last changed 2021-02-03 18:07 by steve.dower. This issue is now closed.

Messages (3)
msg355262 - (view) Author: Marco Sulla (Marco Sulla) * Date: 2019-10-23 19:57
I tried to add to `setuptools.setup()` the argument license_files. It works, but I get this warning:

/usr/lib/python3.6/distutils/dist.py:261: UserWarning: Unknown distribution option: 'license_files'

I suppose the warning can be removed.
msg355347 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-10-24 19:16
Why do you think the warning can be removed? Is it documented as supported in distutils? If setuptools supports that argument but not distutils then that would be a bug against them.
msg386256 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:07
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:07:51steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386256

resolution: out of date
stage: resolved
2019-11-27 18:42:51brett.cannonsetnosy: - brett.cannon
2019-10-24 19:16:18brett.cannonsetnosy: + brett.cannon
messages: + msg355347
2019-10-23 19:57:45Marco Sullacreate